#ifdef SWIGGO

%insert(go_wrapper) %{

//
//  extend Odms.i
//

type InfoSpace interface {
    Wrapped_InfoSpace

	InfoSpaceIsAttached() (_swig_ret bool, err error)
	InfoSpaceIsDetached() (_swig_ret bool, err error)
	InfoSpaceInitSchema() (err error)
	InfoSpaceVerifySchemaPostInit() (err error)
	InfoSpaceReclaimSchema() (err error)
	InfoSpaceInitCodecFactory(arg2 string, arg3 string, arg4 int64, arg5 int64) (_swig_ret Ride_codec_CodecFactory, err error)
	InfoSpaceLookupCodecFactory(arg2 string) (_swig_ret Ride_codec_CodecFactory, err error)
	InfoSpaceGenROMeta(arg2 Std_vector_Sl_std_pair_Sl_std_string_Sc_ride_codec_Codec_Sm__Sg__Sg_) (err error)
	InfoSpaceGenRWMeta(arg2 Std_vector_Sl_std_pair_Sl_std_string_Sc_ride_codec_Codec_Sm__Sg__Sg_) (err error)
	InfoSpaceGetWindow() (_swig_ret int64, err error)
	InfoSpaceGetWindowEnd() (_swig_ret int64, err error)
	InfoSpaceGetDes() (_swig_ret Ride_api_Des, err error)
	InfoSpaceGetApp() (_swig_ret string, err error)
	InfoSpaceGetName() (_swig_ret string, err error)
	InfoSpaceGetServer() (_swig_ret string, err error)
	InfoSpaceGetCommand() (_swig_ret string, err error)
	InfoSpaceGetIndexPath() (_swig_ret string, err error)
	InfoSpaceGetCorpusPath() (_swig_ret string, err error)
	InfoSpaceGetCorpusClass() (_swig_ret string, err error)
	InfoSpaceGetBuildParam() (_swig_ret string, err error)
	InfoSpaceGetStopParam() (_swig_ret string, err error)
	InfoSpaceAttach() (_swig_ret string, err error)
	InfoSpaceDetach() (_swig_ret string, err error)
	InfoSpaceDestroy() (_swig_ret string, err error)
	InfoSpaceAddDoc(a ...interface{}) (_swig_ret Lemur_api_DOCID_T, err error)
	InfoSpaceAddFile(arg2 string) (_swig_ret Lemur_api_DOCID_T, err error)
	InfoSpaceAddString(arg2 string) (_swig_ret Lemur_api_DOCID_T, err error)
	InfoSpaceDeleteDomain(arg2 Lemur_api_DOCID_T) (_swig_ret Lemur_api_DOCID_T, err error)
	InfoSpaceEncodeTime(arg2 int64) (_swig_ret string, err error)
	InfoSpaceDecodeTime(arg2 string) (_swig_ret int64, err error)
	InfoSpaceGetPos() (_swig_ret int64, err error)
	InfoSpaceSetPos(arg2 int64) (_swig_ret int64, err error)
	InfoSpaceGetMax() (_swig_ret int64, err error)
	InfoSpaceSetMax(arg2 int64) (_swig_ret int64, err error)
	InfoSpaceCreateCodecSet(arg2 string, arg3 string) (_swig_ret Ride_codec_Codec, err error)
	InfoSpaceDestroyCodecSet(arg2 Ride_codec_Codec) (err error)
	InfoSpaceNFLess(arg2 string, arg3 string) (_swig_ret string, err error)
	InfoSpaceNFGreater(arg2 string, arg3 string) (_swig_ret string, err error)
	InfoSpaceNFBetween(arg2 string, arg3 string, arg4 string) (_swig_ret string, err error)
	InfoSpaceNFEquals(arg2 string, arg3 string) (_swig_ret string, err error)
	InfoSpaceFind(arg2 string) (_swig_ret DocIdVector, err error)
	InfoSpaceDomainExists(arg2 Lemur_api_DOCID_T) (_swig_ret bool, err error)
	InfoSpaceGetDomain(arg2 Lemur_api_DOCID_T) (_swig_ret Domain, err error)
	InfoSpaceGetDomains(arg2 DocIdVector) (_swig_ret DomainPtrVector, err error)
	InfoSpaceFindExtent(arg2 string, arg3 string, arg4 int64) (_swig_ret StringVector, err error)

	NewDomain() (_swig_ret Domain, err error)
}

func NewInfoSpace__SWIG_0(arg1 string, arg2 string, arg3 string, arg4 string, arg5 string, arg6 string, arg7 string, arg8 string, arg9 string) (_swig_ret InfoSpace, err error) {
	defer catch(&err)
	var swig_r InfoSpace
	_swig_i_0 := arg1
	_swig_i_1 := arg2
	_swig_i_2 := arg3
	_swig_i_3 := arg4
	_swig_i_4 := arg5
	_swig_i_5 := arg6
	_swig_i_6 := arg7
	_swig_i_7 := arg8
	_swig_i_8 := arg9
	swig_r = (InfoSpace)(SwigcptrWrapped_InfoSpace(C._wrap_new_Wrapped_InfoSpace__SWIG_0_vank_go_d89abc98202f3b2d(*(*C.swig_type_16)(unsafe.Pointer(&_swig_i_0)), *(*C.swig_type_17)(unsafe.Pointer(&_swig_i_1)), *(*C.swig_type_18)(unsafe.Pointer(&_swig_i_2)), *(*C.swig_type_19)(unsafe.Pointer(&_swig_i_3)), *(*C.swig_type_20)(unsafe.Pointer(&_swig_i_4)), *(*C.swig_type_21)(unsafe.Pointer(&_swig_i_5)), *(*C.swig_type_22)(unsafe.Pointer(&_swig_i_6)), *(*C.swig_type_23)(unsafe.Pointer(&_swig_i_7)), *(*C.swig_type_24)(unsafe.Pointer(&_swig_i_8)))))
	if Swig_escape_always_false {
		Swig_escape_val = arg1
	}
	if Swig_escape_always_false {
		Swig_escape_val = arg2
	}
	if Swig_escape_always_false {
		Swig_escape_val = arg3
	}
	if Swig_escape_always_false {
		Swig_escape_val = arg4
	}
	if Swig_escape_always_false {
		Swig_escape_val = arg5
	}
	if Swig_escape_always_false {
		Swig_escape_val = arg6
	}
	if Swig_escape_always_false {
		Swig_escape_val = arg7
	}
	if Swig_escape_always_false {
		Swig_escape_val = arg8
	}
	if Swig_escape_always_false {
		Swig_escape_val = arg9
	}
	if swig_r == nil {
		err = fmt.Errorf("failed to allocate NewInfoSpace.\n")
    }
	return swig_r, err
}

func NewInfoSpace__SWIG_1(arg1 string, arg2 string, arg3 string, arg4 string, arg5 string, arg6 string, arg7 string, arg8 string) (_swig_ret InfoSpace, err error) {
	defer catch(&err)
	var swig_r InfoSpace
	_swig_i_0 := arg1
	_swig_i_1 := arg2
	_swig_i_2 := arg3
	_swig_i_3 := arg4
	_swig_i_4 := arg5
	_swig_i_5 := arg6
	_swig_i_6 := arg7
	_swig_i_7 := arg8
	swig_r = (InfoSpace)(SwigcptrWrapped_InfoSpace(C._wrap_new_Wrapped_InfoSpace__SWIG_1_vank_go_d89abc98202f3b2d(*(*C.swig_type_25)(unsafe.Pointer(&_swig_i_0)), *(*C.swig_type_26)(unsafe.Pointer(&_swig_i_1)), *(*C.swig_type_27)(unsafe.Pointer(&_swig_i_2)), *(*C.swig_type_28)(unsafe.Pointer(&_swig_i_3)), *(*C.swig_type_29)(unsafe.Pointer(&_swig_i_4)), *(*C.swig_type_30)(unsafe.Pointer(&_swig_i_5)), *(*C.swig_type_31)(unsafe.Pointer(&_swig_i_6)), *(*C.swig_type_32)(unsafe.Pointer(&_swig_i_7)))))
	if Swig_escape_always_false {
		Swig_escape_val = arg1
	}
	if Swig_escape_always_false {
		Swig_escape_val = arg2
	}
	if Swig_escape_always_false {
		Swig_escape_val = arg3
	}
	if Swig_escape_always_false {
		Swig_escape_val = arg4
	}
	if Swig_escape_always_false {
		Swig_escape_val = arg5
	}
	if Swig_escape_always_false {
		Swig_escape_val = arg6
	}
	if Swig_escape_always_false {
		Swig_escape_val = arg7
	}
	if Swig_escape_always_false {
		Swig_escape_val = arg8
	}
	if swig_r == nil {
		err = fmt.Errorf("failed to allocate NewInfoSpace.\n")
    }
	return swig_r, err
}

func NewInfoSpace__SWIG_2(arg1 string, arg2 string, arg3 string, arg4 string, arg5 string, arg6 string, arg7 string) (_swig_ret InfoSpace, err error) {
	defer catch(&err)
	var swig_r InfoSpace
	_swig_i_0 := arg1
	_swig_i_1 := arg2
	_swig_i_2 := arg3
	_swig_i_3 := arg4
	_swig_i_4 := arg5
	_swig_i_5 := arg6
	_swig_i_6 := arg7
	swig_r = (InfoSpace)(SwigcptrWrapped_InfoSpace(C._wrap_new_Wrapped_InfoSpace__SWIG_2_vank_go_d89abc98202f3b2d(*(*C.swig_type_33)(unsafe.Pointer(&_swig_i_0)), *(*C.swig_type_34)(unsafe.Pointer(&_swig_i_1)), *(*C.swig_type_35)(unsafe.Pointer(&_swig_i_2)), *(*C.swig_type_36)(unsafe.Pointer(&_swig_i_3)), *(*C.swig_type_37)(unsafe.Pointer(&_swig_i_4)), *(*C.swig_type_38)(unsafe.Pointer(&_swig_i_5)), *(*C.swig_type_39)(unsafe.Pointer(&_swig_i_6)))))
	if Swig_escape_always_false {
		Swig_escape_val = arg1
	}
	if Swig_escape_always_false {
		Swig_escape_val = arg2
	}
	if Swig_escape_always_false {
		Swig_escape_val = arg3
	}
	if Swig_escape_always_false {
		Swig_escape_val = arg4
	}
	if Swig_escape_always_false {
		Swig_escape_val = arg5
	}
	if Swig_escape_always_false {
		Swig_escape_val = arg6
	}
	if Swig_escape_always_false {
		Swig_escape_val = arg7
	}
	if swig_r == nil {
		err = fmt.Errorf("failed to allocate NewInfoSpace.\n")
    }
	return swig_r, err
}

func NewInfoSpace__SWIG_3(arg1 string, arg2 string, arg3 string, arg4 string, arg5 string, arg6 string) (_swig_ret InfoSpace, err error) {
	defer catch(&err)
	var swig_r InfoSpace
	_swig_i_0 := arg1
	_swig_i_1 := arg2
	_swig_i_2 := arg3
	_swig_i_3 := arg4
	_swig_i_4 := arg5
	_swig_i_5 := arg6
	swig_r = (InfoSpace)(SwigcptrWrapped_InfoSpace(C._wrap_new_Wrapped_InfoSpace__SWIG_3_vank_go_d89abc98202f3b2d(*(*C.swig_type_40)(unsafe.Pointer(&_swig_i_0)), *(*C.swig_type_41)(unsafe.Pointer(&_swig_i_1)), *(*C.swig_type_42)(unsafe.Pointer(&_swig_i_2)), *(*C.swig_type_43)(unsafe.Pointer(&_swig_i_3)), *(*C.swig_type_44)(unsafe.Pointer(&_swig_i_4)), *(*C.swig_type_45)(unsafe.Pointer(&_swig_i_5)))))
	if Swig_escape_always_false {
		Swig_escape_val = arg1
	}
	if Swig_escape_always_false {
		Swig_escape_val = arg2
	}
	if Swig_escape_always_false {
		Swig_escape_val = arg3
	}
	if Swig_escape_always_false {
		Swig_escape_val = arg4
	}
	if Swig_escape_always_false {
		Swig_escape_val = arg5
	}
	if Swig_escape_always_false {
		Swig_escape_val = arg6
	}
	if swig_r == nil {
		err = fmt.Errorf("failed to allocate NewInfoSpace.\n")
    }
	return swig_r, err
}

func NewInfoSpace__SWIG_4(arg1 string, arg2 string, arg3 string, arg4 string, arg5 string) (_swig_ret InfoSpace, err error) {
	defer catch(&err)
	var swig_r InfoSpace
	_swig_i_0 := arg1
	_swig_i_1 := arg2
	_swig_i_2 := arg3
	_swig_i_3 := arg4
	_swig_i_4 := arg5
	swig_r = (InfoSpace)(SwigcptrWrapped_InfoSpace(C._wrap_new_Wrapped_InfoSpace__SWIG_4_vank_go_d89abc98202f3b2d(*(*C.swig_type_46)(unsafe.Pointer(&_swig_i_0)), *(*C.swig_type_47)(unsafe.Pointer(&_swig_i_1)), *(*C.swig_type_48)(unsafe.Pointer(&_swig_i_2)), *(*C.swig_type_49)(unsafe.Pointer(&_swig_i_3)), *(*C.swig_type_50)(unsafe.Pointer(&_swig_i_4)))))
	if Swig_escape_always_false {
		Swig_escape_val = arg1
	}
	if Swig_escape_always_false {
		Swig_escape_val = arg2
	}
	if Swig_escape_always_false {
		Swig_escape_val = arg3
	}
	if Swig_escape_always_false {
		Swig_escape_val = arg4
	}
	if Swig_escape_always_false {
		Swig_escape_val = arg5
	}
	if swig_r == nil {
		err = fmt.Errorf("failed to allocate NewInfoSpace.\n")
    }
	return swig_r, err
}

func NewInfoSpace__SWIG_5(arg1 string, arg2 string, arg3 string, arg4 string) (_swig_ret InfoSpace, err error) {
	defer catch(&err)
	var swig_r InfoSpace
	_swig_i_0 := arg1
	_swig_i_1 := arg2
	_swig_i_2 := arg3
	_swig_i_3 := arg4
	swig_r = (InfoSpace)(SwigcptrWrapped_InfoSpace(C._wrap_new_Wrapped_InfoSpace__SWIG_5_vank_go_d89abc98202f3b2d(*(*C.swig_type_51)(unsafe.Pointer(&_swig_i_0)), *(*C.swig_type_52)(unsafe.Pointer(&_swig_i_1)), *(*C.swig_type_53)(unsafe.Pointer(&_swig_i_2)), *(*C.swig_type_54)(unsafe.Pointer(&_swig_i_3)))))
	if Swig_escape_always_false {
		Swig_escape_val = arg1
	}
	if Swig_escape_always_false {
		Swig_escape_val = arg2
	}
	if Swig_escape_always_false {
		Swig_escape_val = arg3
	}
	if Swig_escape_always_false {
		Swig_escape_val = arg4
	}
	if swig_r == nil {
		err = fmt.Errorf("failed to allocate NewInfoSpace.\n")
    }
	return swig_r, err
}

func NewInfoSpace__SWIG_6(arg1 string, arg2 string, arg3 string) (_swig_ret InfoSpace, err error) {
	defer catch(&err)
	var swig_r InfoSpace
	_swig_i_0 := arg1
	_swig_i_1 := arg2
	_swig_i_2 := arg3
	swig_r = (InfoSpace)(SwigcptrWrapped_InfoSpace(C._wrap_new_Wrapped_InfoSpace__SWIG_6_vank_go_d89abc98202f3b2d(*(*C.swig_type_55)(unsafe.Pointer(&_swig_i_0)), *(*C.swig_type_56)(unsafe.Pointer(&_swig_i_1)), *(*C.swig_type_57)(unsafe.Pointer(&_swig_i_2)))))
	if Swig_escape_always_false {
		Swig_escape_val = arg1
	}
	if Swig_escape_always_false {
		Swig_escape_val = arg2
	}
	if Swig_escape_always_false {
		Swig_escape_val = arg3
	}
	if swig_r == nil {
		err = fmt.Errorf("failed to allocate NewInfoSpace.\n")
    }
	return swig_r, err
}

func NewInfoSpace__SWIG_7(arg1 string, arg2 string) (_swig_ret InfoSpace, err error) {
	defer catch(&err)
	var swig_r InfoSpace
	_swig_i_0 := arg1
	_swig_i_1 := arg2
	swig_r = (InfoSpace)(SwigcptrWrapped_InfoSpace(C._wrap_new_Wrapped_InfoSpace__SWIG_7_vank_go_d89abc98202f3b2d(*(*C.swig_type_58)(unsafe.Pointer(&_swig_i_0)), *(*C.swig_type_59)(unsafe.Pointer(&_swig_i_1)))))
	if Swig_escape_always_false {
		Swig_escape_val = arg1
	}
	if Swig_escape_always_false {
		Swig_escape_val = arg2
	}
	if swig_r == nil {
		err = fmt.Errorf("failed to allocate NewInfoSpace.\n")
    }
	return swig_r, err
}

func NewInfoSpace__SWIG_8(arg1 string) (_swig_ret InfoSpace, err error) {
	defer catch(&err)
	var swig_r InfoSpace
	_swig_i_0 := arg1
	swig_r = (InfoSpace)(SwigcptrWrapped_InfoSpace(C._wrap_new_Wrapped_InfoSpace__SWIG_8_vank_go_d89abc98202f3b2d(*(*C.swig_type_60)(unsafe.Pointer(&_swig_i_0)))))
	if Swig_escape_always_false {
		Swig_escape_val = arg1
	}
	if swig_r == nil {
		err = fmt.Errorf("failed to allocate NewInfoSpace.\n")
    }
	return swig_r, err
}

func NewInfoSpace__SWIG_9() (_swig_ret InfoSpace, err error) {
	defer catch(&err)
	var swig_r InfoSpace
	swig_r = (InfoSpace)(SwigcptrWrapped_InfoSpace(C._wrap_new_Wrapped_InfoSpace__SWIG_9_vank_go_d89abc98202f3b2d()))
    if swig_r == nil {
		err = fmt.Errorf("failed to allocate NewInfoSpace.\n")
    }
	return swig_r, err
}

func NewInfoSpace(a ...interface{}) (swig_r InfoSpace, err error) {
	defer catch(&err)
	argc := len(a)
	if argc == 0 {
		swig_r, err = NewInfoSpace__SWIG_9()
		return
	}
	if argc == 1 {
		swig_r, err = NewInfoSpace__SWIG_8(a[0].(string))
		return
	}
	if argc == 2 {
		swig_r, err = NewInfoSpace__SWIG_7(a[0].(string), a[1].(string))
		return
	}
	if argc == 3 {
		return NewInfoSpace__SWIG_6(a[0].(string), a[1].(string), a[2].(string))
	}
	if argc == 4 {
		return NewInfoSpace__SWIG_5(a[0].(string), a[1].(string), a[2].(string), a[3].(string))
	}
	if argc == 5 {
		return NewInfoSpace__SWIG_4(a[0].(string), a[1].(string), a[2].(string), a[3].(string), a[4].(string))
	}
	if argc == 6 {
		return NewInfoSpace__SWIG_3(a[0].(string), a[1].(string), a[2].(string), a[3].(string), a[4].(string), a[5].(string))
	}
	if argc == 7 {
		return NewInfoSpace__SWIG_2(a[0].(string), a[1].(string), a[2].(string), a[3].(string), a[4].(string), a[5].(string), a[6].(string))
	}
	if argc == 8 {
		return NewInfoSpace__SWIG_1(a[0].(string), a[1].(string), a[2].(string), a[3].(string), a[4].(string), a[5].(string), a[6].(string), a[7].(string))
	}
	if argc == 9 {
		return NewInfoSpace__SWIG_0(a[0].(string), a[1].(string), a[2].(string), a[3].(string), a[4].(string), a[5].(string), a[6].(string), a[7].(string), a[8].(string))
	}
	panic("No match for overloaded function call")
}

func DeleteInfoSpace(arg1 InfoSpace) {
    DeleteWrapped_InfoSpace(arg1)
}

func (arg1 SwigcptrWrapped_InfoSpace) InfoSpaceIsAttached() (_swig_ret bool, err error) {
    defer catch(&err)
    _swig_ret = arg1.IsAttached()
	return
}

func (arg1 SwigcptrWrapped_InfoSpace) InfoSpaceIsDetached() (_swig_ret bool, err error) {
    defer catch(&err)
    _swig_ret = arg1.IsDetached()
	return
}

func (arg1 SwigcptrWrapped_InfoSpace) InfoSpaceInitSchema() (err error) {
    defer catch(&err)
    arg1.InitSchema()
	return
}

func (arg1 SwigcptrWrapped_InfoSpace) InfoSpaceVerifySchemaPostInit() (err error) {
    defer catch(&err)
    arg1.VerifySchemaPostInit()
	return
}

func (arg1 SwigcptrWrapped_InfoSpace) InfoSpaceReclaimSchema() (err error) {
    defer catch(&err)
    arg1.ReclaimSchema()
	return
}

func (arg1 SwigcptrWrapped_InfoSpace) InfoSpaceInitCodecFactory(arg2 string, arg3 string, arg4 int64, arg5 int64) (_swig_ret Ride_codec_CodecFactory, err error) {
    defer catch(&err)
    _swig_ret = arg1.InitCodecFactory(arg2, arg3, arg4, arg5)
	return
}

func (arg1 SwigcptrWrapped_InfoSpace) InfoSpaceLookupCodecFactory(arg2 string) (_swig_ret Ride_codec_CodecFactory, err error) {
    defer catch(&err)
    _swig_ret = arg1.LookupCodecFactory(arg2)
	return
}

func (arg1 SwigcptrWrapped_InfoSpace) InfoSpaceGenROMeta(arg2 Std_vector_Sl_std_pair_Sl_std_string_Sc_ride_codec_Codec_Sm__Sg__Sg_) (err error) {
    defer catch(&err)
    arg1.GenROMeta(arg2)
	return
}

func (arg1 SwigcptrWrapped_InfoSpace) InfoSpaceGenRWMeta(arg2 Std_vector_Sl_std_pair_Sl_std_string_Sc_ride_codec_Codec_Sm__Sg__Sg_) (err error) {
    defer catch(&err)
    arg1.GenRWMeta(arg2)
	return
}

func (arg1 SwigcptrWrapped_InfoSpace) InfoSpaceGetWindow() (_swig_ret int64, err error) {
    defer catch(&err)
    _swig_ret = arg1.GetWindow()
	return
}

func (arg1 SwigcptrWrapped_InfoSpace) InfoSpaceGetWindowEnd() (_swig_ret int64, err error) {
    defer catch(&err)
    _swig_ret = arg1.GetWindowEnd()
	return
}

func (arg1 SwigcptrWrapped_InfoSpace) InfoSpaceGetDes() (_swig_ret Ride_api_Des, err error) {
    defer catch(&err)
    _swig_ret = arg1.GetDes()
	return
}

func (arg1 SwigcptrWrapped_InfoSpace) InfoSpaceGetApp() (_swig_ret string, err error) {
    defer catch(&err)
    _swig_ret = arg1.GetApp()
	return
}

func (arg1 SwigcptrWrapped_InfoSpace) InfoSpaceGetName() (_swig_ret string, err error) {
    defer catch(&err)
    _swig_ret = arg1.GetName()
	return
}

func (arg1 SwigcptrWrapped_InfoSpace) InfoSpaceGetServer() (_swig_ret string, err error) {
    defer catch(&err)
    _swig_ret = arg1.GetServer()
	return
}

func (arg1 SwigcptrWrapped_InfoSpace) InfoSpaceGetCommand() (_swig_ret string, err error) {
    defer catch(&err)
    _swig_ret = arg1.GetCommand()
	return
}

func (arg1 SwigcptrWrapped_InfoSpace) InfoSpaceGetIndexPath() (_swig_ret string, err error) {
    defer catch(&err)
    _swig_ret = arg1.GetIndexPath()
	return
}

func (arg1 SwigcptrWrapped_InfoSpace) InfoSpaceGetCorpusPath() (_swig_ret string, err error) {
    defer catch(&err)
    _swig_ret = arg1.GetCorpusPath()
	return
}

func (arg1 SwigcptrWrapped_InfoSpace) InfoSpaceGetCorpusClass() (_swig_ret string, err error) {
    defer catch(&err)
    _swig_ret = arg1.GetCorpusClass()
	return
}

func (arg1 SwigcptrWrapped_InfoSpace) InfoSpaceGetBuildParam() (_swig_ret string, err error) {
    defer catch(&err)
    _swig_ret = arg1.GetBuildParam()
	return
}

func (arg1 SwigcptrWrapped_InfoSpace) InfoSpaceGetStopParam() (_swig_ret string, err error) {
    defer catch(&err)
    _swig_ret = arg1.GetStopParam()
	return
}

func (arg1 SwigcptrWrapped_InfoSpace) InfoSpaceAttach() (_swig_ret string, err error) {
    defer catch(&err)
    _swig_ret = arg1.Attach()
	return
}

func (arg1 SwigcptrWrapped_InfoSpace) InfoSpaceDetach() (_swig_ret string, err error) {
    defer catch(&err)
    _swig_ret = arg1.Detach()
	return
}

func (arg1 SwigcptrWrapped_InfoSpace) InfoSpaceDestroy() (_swig_ret string, err error) {
    defer catch(&err)
    _swig_ret = arg1.Destroy()
	return
}

func (arg1 SwigcptrWrapped_InfoSpace) InfoSpaceAddDoc(a ...interface{}) (_swig_ret Lemur_api_DOCID_T, err error) {
    defer catch(&err)
	argc := len(a)
	if argc == 1 {
		var arg2 = a[0].(string)
		var swig_r Lemur_api_DOCID_T
		_swig_i_0 := arg1
		_swig_i_1 := arg2
		swig_r = (Lemur_api_DOCID_T)(SwigcptrLemur_api_DOCID_T(C._wrap_Wrapped_InfoSpace_addDoc__SWIG_1_vank_go_d89abc98202f3b2d(C.uintptr_t(_swig_i_0), *(*C.swig_type_80)(unsafe.Pointer(&_swig_i_1)))))
		if Swig_escape_always_false {
			Swig_escape_val = arg2
		}
		return swig_r, err
	}
	if argc == 2 {
		var arg2 = a[0].(string)
		var arg3 = a[1].(bool)
		var swig_r Lemur_api_DOCID_T
		_swig_i_0 := arg1
		_swig_i_1 := arg2
		_swig_i_2 := arg3
		swig_r = (Lemur_api_DOCID_T)(SwigcptrLemur_api_DOCID_T(C._wrap_Wrapped_InfoSpace_addDoc__SWIG_0_vank_go_d89abc98202f3b2d(C.uintptr_t(_swig_i_0), *(*C.swig_type_81)(unsafe.Pointer(&_swig_i_1)), C._Bool(_swig_i_2))))
		if Swig_escape_always_false {
			Swig_escape_val = arg2
		}
		return swig_r, err
	}
	panic("No match for overloaded function call")
	return
}

func (arg1 SwigcptrWrapped_InfoSpace) InfoSpaceAddFile(arg2 string) (_swig_ret Lemur_api_DOCID_T, err error) {
    defer catch(&err)
    _swig_ret = arg1.AddFile(arg2)
	return
}

func (arg1 SwigcptrWrapped_InfoSpace) InfoSpaceAddString(arg2 string) (_swig_ret Lemur_api_DOCID_T, err error) {
    defer catch(&err)
    _swig_ret = arg1.AddString(arg2)
	return
}

func (arg1 SwigcptrWrapped_InfoSpace) InfoSpaceDeleteDomain(arg2 Lemur_api_DOCID_T) (_swig_ret Lemur_api_DOCID_T, err error) {
    defer catch(&err)
    _swig_ret = arg1.DeleteDomain(arg2)
	return
}

func (arg1 SwigcptrWrapped_InfoSpace) InfoSpaceEncodeTime(arg2 int64) (_swig_ret string, err error) {
    defer catch(&err)
    _swig_ret = arg1.EncodeTime(arg2)
	return
}

func (arg1 SwigcptrWrapped_InfoSpace) InfoSpaceDecodeTime(arg2 string) (_swig_ret int64, err error) {
    defer catch(&err)
    _swig_ret = arg1.DecodeTime(arg2)
	return
}

func (arg1 SwigcptrWrapped_InfoSpace) InfoSpaceGetPos() (_swig_ret int64, err error) {
    defer catch(&err)
    _swig_ret = arg1.GetPos()
	return
}

func (arg1 SwigcptrWrapped_InfoSpace) InfoSpaceSetPos(arg2 int64) (_swig_ret int64, err error) {
    defer catch(&err)
    _swig_ret = arg1.SetPos(arg2)
	return
}

func (arg1 SwigcptrWrapped_InfoSpace) InfoSpaceGetMax() (_swig_ret int64, err error) {
    defer catch(&err)
    _swig_ret = arg1.GetMax()
	return
}

func (arg1 SwigcptrWrapped_InfoSpace) InfoSpaceSetMax(arg2 int64) (_swig_ret int64, err error) {
    defer catch(&err)
    _swig_ret = arg1.SetMax(arg2)
	return
}

func (arg1 SwigcptrWrapped_InfoSpace) InfoSpaceCreateCodecSet(arg2 string, arg3 string) (_swig_ret Ride_codec_Codec, err error) {
    defer catch(&err)
    _swig_ret = arg1.CreateCodecSet(arg2, arg3)
	return
}

func (arg1 SwigcptrWrapped_InfoSpace) InfoSpaceDestroyCodecSet(arg2 Ride_codec_Codec) (err error) {
    defer catch(&err)
    arg1.DestroyCodecSet(arg2)
	return
}

func (arg1 SwigcptrWrapped_InfoSpace) InfoSpaceNFLess(arg2 string, arg3 string) (_swig_ret string, err error) {
    defer catch(&err)
    _swig_ret = arg1.NFLess(arg2, arg3)
	return
}

func (arg1 SwigcptrWrapped_InfoSpace) InfoSpaceNFGreater(arg2 string, arg3 string) (_swig_ret string, err error) {
    defer catch(&err)
    _swig_ret = arg1.NFGreater(arg2, arg3)
	return
}

func (arg1 SwigcptrWrapped_InfoSpace) InfoSpaceNFBetween(arg2 string, arg3 string, arg4 string) (_swig_ret string, err error) {
    defer catch(&err)
    _swig_ret = arg1.NFBetween(arg2, arg3, arg4)
	return
}

func (arg1 SwigcptrWrapped_InfoSpace) InfoSpaceNFEquals(arg2 string, arg3 string) (_swig_ret string, err error) {
    defer catch(&err)
    _swig_ret = arg1.NFEquals(arg2, arg3)
	return
}

func (arg1 SwigcptrWrapped_InfoSpace) InfoSpaceFind(arg2 string) (_swig_ret DocIdVector, err error) {
    defer catch(&err)
    _swig_ret = arg1.Find(arg2)
	return
}

func (arg1 SwigcptrWrapped_InfoSpace) InfoSpaceDomainExists(arg2 Lemur_api_DOCID_T) (_swig_ret bool, err error) {
    defer catch(&err)
    _swig_ret = arg1.DomainExists(arg2)
	return
}

func (arg1 SwigcptrWrapped_InfoSpace) InfoSpaceGetDomain(arg2 Lemur_api_DOCID_T) (_swig_ret Domain, err error) {
    defer catch(&err)
	var swig_r Domain
	_swig_i_0 := arg1
	_swig_i_1 := arg2.Swigcptr()
	swig_r = (Domain)(SwigcptrWrapped_Domain(C._wrap_Wrapped_InfoSpace_getDomain_vank_go_d89abc98202f3b2d(C.uintptr_t(_swig_i_0), C.uintptr_t(_swig_i_1))))
	return swig_r, err
}

func (arg1 SwigcptrWrapped_InfoSpace) InfoSpaceGetDomains(arg2 DocIdVector) (_swig_ret DomainPtrVector, err error) {
    defer catch(&err)
    _swig_ret = arg1.GetDomains(arg2)
	return
}

func (arg1 SwigcptrWrapped_InfoSpace) InfoSpaceFindExtent(arg2 string, arg3 string, arg4 int64) (_swig_ret StringVector, err error) {
    defer catch(&err)
    _swig_ret = arg1.FindExtent(arg2, arg3, arg4)
	return
}

func (arg1 SwigcptrWrapped_InfoSpace) NewDomain() (_swig_ret Domain, err error) {
	defer catch(&err)
	_swig_i_0 := arg1.Swigcptr()
	_swig_ret = (Domain)(SwigcptrWrapped_Domain(C._wrap_new_Wrapped_Domain_vank_go_d89abc98202f3b2d(C.uintptr_t(_swig_i_0))))
	return
}



// NewDomain is part of InfoSpace interface

func DeleteDomain(arg1 Domain) {
    DeleteWrapped_Domain(arg1)
}

type Domain interface {
    Wrapped_Domain

	DomainReclaimProps() (err error)
	DomainGetFd(arg2 Std_vector_Sl_std_pair_Sl_std_string_Sc_ride_codec_Codec_Sm__Sg__Sg_, arg3 string, arg4 *string, arg5 *int) (_swig_ret bool, err error)
	DomainSetFd(arg2 Std_vector_Sl_std_pair_Sl_std_string_Sc_ride_codec_Codec_Sm__Sg__Sg_, arg3 string, arg4 *string, arg5 *int) (_swig_ret bool, err error)
	DomainGetFds(arg2 Std_vector_Sl_std_pair_Sl_std_string_Sc_ride_codec_Codec_Sm__Sg__Sg_) (_swig_ret StringPairVector, err error)
	DomainGetMeta(a ...interface{}) (_swig_ret string, err error)
	DomainSetMeta(a ...interface{}) (_swig_ret string, err error)
	DomainGetROMeta() (_swig_ret StringPairVector, err error)
	DomainGetRWMeta() (_swig_ret StringPairVector, err error)
	DomainGetCursor() (_swig_ret int, err error)
	DomainSetCursor(arg2 int) (_swig_ret int, err error)
	DomainGetField(a ...interface{}) (_swig_ret string, err error)
	DomainSetField(a ...interface{}) (_swig_ret string, err error)
	DomainAddField(a ...interface{}) (_swig_ret string, err error)
	DomainGetFields() (_swig_ret StringPairVector, err error)
	DomainGetFieldCount() (_swig_ret int, err error)
	DomainPrintTagIndent(arg2 Std_stringstream, arg3 int) (err error)
	DomainPrintTagOpenValue(arg2 Std_stringstream, arg3 Wrapped_StringPair, arg4 int) (err error)
	DomainPrintTagClose(arg2 Std_stringstream, arg3 Wrapped_StringPair, arg4 int) (err error)
	DomainPrintNode(arg2 Std_stringstream, arg3 Std_vector_Sl_std_set_Sl_int_Sg__Sm__Sg_, arg4 Std_map_Sl_int_Sc_std_pair_Sl_std_string_Sc_std_string_Sg__Sg_, arg5 int, arg6 int) (err error)
	DomainRenderToString() (_swig_ret string, err error)
	DomainSave() (_swig_ret Lemur_api_DOCID_T, err error)
	DomainSaveToFile(arg2 string) (_swig_ret string, err error)
}

func (arg1 SwigcptrWrapped_Domain) DomainReclaimProps() (err error) {
    defer catch(&err)
    arg1.ReclaimProps()
	return
}

func (arg1 SwigcptrWrapped_Domain) DomainGetFd(arg2 Std_vector_Sl_std_pair_Sl_std_string_Sc_ride_codec_Codec_Sm__Sg__Sg_, arg3 string, arg4 *string, arg5 *int) (_swig_ret bool, err error) {
    defer catch(&err)
    _swig_ret = arg1.GetFd(arg2, arg3, arg4, arg5)
	return
}

func (arg1 SwigcptrWrapped_Domain) DomainSetFd(arg2 Std_vector_Sl_std_pair_Sl_std_string_Sc_ride_codec_Codec_Sm__Sg__Sg_, arg3 string, arg4 *string, arg5 *int) (_swig_ret bool, err error) {
    defer catch(&err)
    _swig_ret = arg1.SetFd(arg2, arg3, arg4, arg5)
	return
}

func (arg1 SwigcptrWrapped_Domain) DomainGetFds(arg2 Std_vector_Sl_std_pair_Sl_std_string_Sc_ride_codec_Codec_Sm__Sg__Sg_) (_swig_ret StringPairVector, err error) {
    defer catch(&err)
    _swig_ret = arg1.GetFds(arg2)
	return
}

func (arg1 SwigcptrWrapped_Domain) DomainGetMeta(a ...interface{}) (_swig_ret string, err error) {
    defer catch(&err)
	argc := len(a)
	if argc == 1 {
		_swig_ret = arg1.GetMeta(a[0].(string))
		return
	}
	if argc == 2 {
		_swig_ret = arg1.GetMeta(a[0].(string), a[1].(int))
		return
	}
	panic("No match for overloaded function call")
}

func (arg1 SwigcptrWrapped_Domain) DomainSetMeta(a ...interface{}) (_swig_ret string, err error) {
	defer catch(&err)
	argc := len(a)
	if argc == 2 {
		_swig_ret = arg1.SetMeta(a[0].(string), a[1].(string))
		return
	}
	if argc == 3 {
		_swig_ret = arg1.SetMeta(a[0].(string), a[1].(string), a[2].(int))
		return
	}
	panic("No match for overloaded function call")
}

func (arg1 SwigcptrWrapped_Domain) DomainGetROMeta() (_swig_ret StringPairVector, err error) {
	defer catch(&err)
	_swig_ret = arg1.GetROMeta()
	return
}

func (arg1 SwigcptrWrapped_Domain) DomainGetRWMeta() (_swig_ret StringPairVector, err error) {
	defer catch(&err)
	_swig_ret = arg1.GetRWMeta()
	return
}

func (arg1 SwigcptrWrapped_Domain) DomainGetCursor() (_swig_ret int, err error) {
	defer catch(&err)
	_swig_ret = arg1.GetCursor()
	return
}

func (arg1 SwigcptrWrapped_Domain) DomainSetCursor(arg2 int) (_swig_ret int, err error) {
	defer catch(&err)
	_swig_ret = arg1.SetCursor(arg2)
	return
}

func (arg1 SwigcptrWrapped_Domain) DomainGetField(a ...interface{}) (_swig_ret string, err error) {
	defer catch(&err)
	argc := len(a)
	if argc == 1 {
		_swig_ret = arg1.GetField__SWIG_1(a[0].(string))
		return
	}
	if argc == 2 {
		_swig_ret = arg1.GetField__SWIG_0(a[0].(string), a[1].(int))
		return
	}
	panic("No match for overloaded function call")
}

func (arg1 SwigcptrWrapped_Domain) DomainSetField(a ...interface{}) (_swig_ret string, err error) {
	defer catch(&err)
	argc := len(a)
	if argc == 2 {
		_swig_ret = arg1.SetField__SWIG_1(a[0].(string), a[1].(string))
		return
	}
	if argc == 3 {
		_swig_ret = arg1.SetField__SWIG_0(a[0].(string), a[1].(string), a[2].(int))
		return
	}
	panic("No match for overloaded function call")
}

func (arg1 SwigcptrWrapped_Domain) DomainAddField(a ...interface{}) (_swig_ret string, err error) {
	defer catch(&err)
	argc := len(a)
	if argc == 2 {
		_swig_ret = arg1.AddField__SWIG_1(a[0].(string), a[1].(string))
		return
	}
	if argc == 3 {
		_swig_ret = arg1.AddField__SWIG_0(a[0].(string), a[1].(string), a[2].(int))
		return
	}
	panic("No match for overloaded function call")
}

func (arg1 SwigcptrWrapped_Domain) DomainGetFields() (_swig_ret StringPairVector, err error) {
	defer catch(&err)
	_swig_ret = arg1.GetFields()
	return
}

func (arg1 SwigcptrWrapped_Domain) DomainGetFieldCount() (_swig_ret int, err error) {
	defer catch(&err)
	_swig_ret = arg1.GetFieldCount()
	return
}

func (arg1 SwigcptrWrapped_Domain) DomainPrintTagIndent(arg2 Std_stringstream, arg3 int) (err error) {
	defer catch(&err)
	arg1.PrintTagIndent(arg2, arg3)
	return
}

func (arg1 SwigcptrWrapped_Domain) DomainPrintTagOpenValue(arg2 Std_stringstream, arg3 Wrapped_StringPair, arg4 int) (err error) {
	defer catch(&err)
	arg1.PrintTagOpenValue(arg2, arg3, arg4)
	return
}

func (arg1 SwigcptrWrapped_Domain) DomainPrintTagClose(arg2 Std_stringstream, arg3 Wrapped_StringPair, arg4 int) (err error) {
	defer catch(&err)
	arg1.PrintTagClose(arg2, arg3, arg4)
	return
}

func (arg1 SwigcptrWrapped_Domain) DomainPrintNode(arg2 Std_stringstream, arg3 Std_vector_Sl_std_set_Sl_int_Sg__Sm__Sg_, arg4 Std_map_Sl_int_Sc_std_pair_Sl_std_string_Sc_std_string_Sg__Sg_, arg5 int, arg6 int) (err error) {
	defer catch(&err)
	arg1.PrintNode(arg2, arg3, arg4, arg5, arg6)
	return
}

func (arg1 SwigcptrWrapped_Domain) DomainRenderToString() (_swig_ret string, err error) {
	defer catch(&err)
	_swig_ret = arg1.RenderToString()
	return
}

func (arg1 SwigcptrWrapped_Domain) DomainSave() (_swig_ret Lemur_api_DOCID_T, err error) {
	defer catch(&err)
	_swig_ret = arg1.Save()
	return
}

func (arg1 SwigcptrWrapped_Domain) DomainSaveToFile(arg2 string) (_swig_ret string, err error) {
	defer catch(&err)
	_swig_ret = arg1.SaveToFile(arg2)
	return
}

%}

#endif
